View Issue Details

IDProjectCategoryView StatusLast Update
16218Bug reportsImport/Exportpublic2020-06-18 19:29
Reporterpiodanila Assigned Tocdorin  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.2.1 
Fixed in Version4.2.2 
Summary16218: The export file generated in Tab-separated-values format is with errors
Description

The export file generated in Tab-separated-values format (*.txt) doesn't contain the goups and question details.

Steps To Reproduce

Follow the Disply/Export menu. Select Export type: Tab-separated-values format (*.txt) survey.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.1.16+200407
I will donate to the project if issue is resolvedNo
Browserchrome
Database & DB-Versionmysql, 10.1.44-MariaDB
Server OS (if known)Linux pegasus.hosterion.net 3.10.0-962.3.2.lve1.5.26.5.el7.x86_64 #1 SMP Wed Sep 18 07:37:02 EDT 2019 x86_64
Webserver software & version (if known) LiteSpeed
PHP Version 7.4.4

Activities

piodanila

piodanila

2020-05-03 13:12

reporter  

tabseperated.txt (24,945 bytes)   
id	related_id	class	type/scale	name	relevance	text	help	language	validation	mandatory	other	default	same_default	allowed_filetypes	alphasort	answer_width	answer_width_bycolumn	array_filter	array_filter_exclude	array_filter_style	assessment_value	category_separator	choice_input_columns	choice_title	code_filter	commented_checkbox	commented_checkbox_auto	cssclass	date_format	date_max	date_min	display_columns	display_rows	display_type	dropdown_dates	dropdown_dates_minute_step	dropdown_dates_month_style	dropdown_prefix	dropdown_prepostfix	dropdown_separators	dropdown_size	dualscale_headerA	dualscale_headerB	em_validation_q	em_validation_q_tip	em_validation_sq	em_validation_sq_tip	equals_num_value	equation	exclude_all_others	exclude_all_others_auto	hidden	hide_tip	input_boxes	input_size	label_input_columns	location_city	location_country	location_defaultcoordinates	location_mapheight	location_mapservice	location_mapwidth	location_mapzoom	location_nodefaultfromip	location_postal	location_state	max_answers	max_filesize	max_num_of_files	max_num_value	max_num_value_n	max_subquestions	maximum_chars	min_answers	min_num_of_files	min_num_value	min_num_value_n	multiflexible_checkbox	multiflexible_max	multiflexible_min	multiflexible_step	num_value_int_only	numbers_only	other_comment_mandatory	other_numbers_only	other_replace_text	page_break	parent_order	placeholder	prefix	printable_help	public_statistics	random_group	random_order	rank_title	repeat_headings	reverse	samechoiceheight	samelistheight	scale_export	show_comment	show_grand_total	show_title	show_totals	showpopups	slider_accuracy	slider_custom_handle	slider_default	slider_default_set	slider_handle	slider_layout	slider_max	slider_middlestart	slider_min	slider_orientation	slider_rating	slider_reset	slider_reversed	slider_separator	slider_showminmax	statistics_graphtype	statistics_showgraph	statistics_showmap	suffix	text_input_columns	text_input_width	time_limit	time_limit_action	time_limit_countdown_message	time_limit_disable_next	time_limit_disable_prev	time_limit_message	time_limit_message_delay	time_limit_message_style	time_limit_timer_style	time_limit_warning	time_limit_warning_2	time_limit_warning_2_display_time	time_limit_warning_2_message	time_limit_warning_2_style	time_limit_warning_display_time	time_limit_warning_message	time_limit_warning_style	use_dropdown	value_range_allows_missing
		S		sid		621432																																																																																																																																											
		S		admin		inherit																																																																																																																																											
		S		adminemail		inherit																																																																																																																																											
		S		anonymized		I																																																																																																																																											
		S		faxto																																																																																																																																													
		S		format		G																																																																																																																																											
		S		savetimings		Y																																																																																																																																											
		S		template		vanilla																																																																																																																																											
		S		language		ro																																																																																																																																											
		S		additional_languages																																																																																																																																													
		S		datestamp		Y																																																																																																																																											
		S		usecookie		N																																																																																																																																											
		S		allowregister		I																																																																																																																																											
		S		allowsave		N																																																																																																																																											
		S		autonumber_start		0																																																																																																																																											
		S		autoredirect		N																																																																																																																																											
		S		allowprev		Y																																																																																																																																											
		S		printanswers		N																																																																																																																																											
		S		ipaddr		N																																																																																																																																											
		S		refurl		N																																																																																																																																											
		S		publicstatistics		N																																																																																																																																											
		S		publicgraphs		N																																																																																																																																											
		S		listpublic		N																																																																																																																																											
		S		htmlemail		I																																																																																																																																											
		S		tokenanswerspersistence		I																																																																																																																																											
		S		assessments		N																																																																																																																																											
		S		usecaptcha		6																																																																																																																																											
		S		usetokens		N																																																																																																																																											
		S		bounce_email		inherit																																																																																																																																											
		S		emailresponseto		inherit																																																																																																																																											
		S		emailnotificationto		inherit																																																																																																																																											
		S		tokenlength		-1																																																																																																																																											
		S		showxquestions		N																																																																																																																																											
		S		showgroupinfo		B																																																																																																																																											
		S		shownoanswer		N																																																																																																																																											
		S		showqnumcode		C																																																																																																																																											
		S		bounceprocessing		N																																																																																																																																											
		S		showwelcome		Y																																																																																																																																											
		S		showprogress		Y																																																																																																																																											
		S		navigationdelay		0																																																																																																																																											
		S		nokeyboard		N																																																																																																																																											
		S		alloweditaftercompletion		I																																																																																																																																											
		S		googleanalyticsstyle		0																																																																																																																																											
		S		googleanalyticsapikey																																																																																																																																													
		S		sendconfirmation		I																																																																																																																																											
		S		questionindex		0																																																																																																																																											
		S		gsid		1																																																																																																																																											
		S		showsurveypolicynotice		0																																																																																																																																											
		S		tokenencryptionoptions																																																																																																																																													
		S		ipanonymize		I																																																																																																																																											
		SL		surveyls_survey_id		621432		ro																																																																																																																																									
		SL		surveyls_language		ro		ro																																																																																																																																									
		SL		surveyls_title		"COVID19 - FIRME"		ro																																																																																																																																									
		SL		surveyls_description		"<p>COVID-19 – SONDAJ CU PRIVIRE LA PULSUL ÎN AFACERI</p>"		ro																																																																																																																																									
		SL		surveyls_welcometext		"<p>Vă sun de la <strong>Metro Media Transilvania</strong> din partea Băncii Mondiale. Această societate a fost selectată aleatoriu pentru a participa la acest sondaj, cu scopul de a înțelege mai bine impactului pandemiei COVID-19 asupra afacerilor din Romania.</p><p>Rezultatele sondajului vor fi utilizate pentru a informa politicile publice pentru sus'inerea mediului de afaceri pe durata crizei. Toate informațiile și opiniile pe care ni le furnizați vor fi anonime. Numele dvs. și denumirea societății dvs. nu vor fi utilizate în niciun document ce va rezulta în baza acestui sondaj.</p>"		ro																																																																																																																																									
		SL		surveyls_endtext		"<p>Va mulțumim!</p>"		ro																																																																																																																																									
		SL		surveyls_url				ro																																																																																																																																									
		SL		surveyls_urldescription				ro																																																																																																																																									
		SL		surveyls_email_invite_subj		"Invitație de a participa la un sondaj"		ro																																																																																																																																									
		SL		surveyls_email_invite		"Stimate {FIRSTNAME},Aţi fost invitat să participați la un sondaj.Sondajul este intitulat:""{SURVEYNAME}""""{SURVEYDESCRIPTION}""Pentru a participa, Vă rugăm să faceți clic pe linkul de mai jos.Cu sinceritate,{ADMINNAME} ({ADMINEMAIL})----------------------------------------------Faceți clic pentru a completa sondajul:{SURVEYURL}Dacă nu mai doriţi să participaţi la acest sondaj şi nu mai doriţi să primiţi invitaţii, faceţi clic pe următorul link:{OPTOUTURL}Dacă vă aflaţi pe lista ""neagră"", dar doriţi să participaţi la acest sondaj şi doriţi să primiţi o invitaţie, vă rugăm să daţi click pe următorul link:{OPTINURL}"		ro																																																																																																																																									
		SL		surveyls_email_remind_subj		"Înştiinţare de participare la un sondaj"		ro																																																																																																																																									
		SL		surveyls_email_remind		"Dragă {FIRSTNAME},V-am invitat recent să participaţi la un chesitonar.Am sesizat că încă nu aţi completat sondajul şi dorim să vă reamintim că acesta rulează în continuare în cazul în care doriți să participați.Sondajul este intitulat:""{SURVEYNAME}""""{SURVEYDESCRIPTION}""Pentru a participa, vă rugăm să faceți clic pe linkul de mai jos.Cu sinceritate,{SURVEYDESCRIPTION} ({ADMINEMAIL})----------------------------------------------Faceți clic aici pentru a începe sondajul:------{SURVEYURL}Dacă nu mai doriţi să participaţi la acest sondaj şi nu mai doriţi să primiţi invitaţii, faceţi clic pe următorul link:{OPTOUTURL}"		ro																																																																																																																																									
		SL		surveyls_email_register_subj		"Înregistrare la sondaj confirmată"		ro																																																																																																																																									
		SL		surveyls_email_register		"Dragă {FIRSTNAME},Dumneavoastră sau altcineva folosind emailul dumneavoastră, v-ați înregistrat să participați la un sondaj online intitulat {SURVEYNAME}.Pentru a finaliza acest sondaj, faceți clic pe următorul URL:{SURVEYURL}Dacă aveți întrebări suplimentare despre acest sondaj, sau dacă nu v-ați înregistrat să participați și credeți că acest email este o eroare, vă rog contactați {ADMINNAME} la {ADMINEMAIL}."		ro																																																																																																																																									
		SL		surveyls_email_confirm_subj		"Confirmarea participării dumneavoastră în sondajul nostru"		ro																																																																																																																																									
		SL		surveyls_email_confirm		"Stimate {FIRSTNAME},acest email este pentru a confirma completarea sondajului cu titlul {SURVEYNAME} de către dumneavoastră. Răspunsul dumneavoastră a fost înregistrat. Vă mulțumim pentru participare. Dacă aveţi alte întrebări în legătură cu acest mesaj, vă rugăm să îl contactați pe {ADMINNAME} la {ADMINEMAIL}.Cu sinceritate,{ADMINNAME}"		ro																																																																																																																																									
		SL		surveyls_dateformat		1		ro																																																																																																																																									
		SL		surveyls_numberformat		1		ro																																																																																																																																									
		SL		email_admin_notification_subj		"Înscrierea răspunsului pentru sondajul {SURVEYNAME}"		ro																																																																																																																																									



<!DOCTYPE html>
<html lang="en" dir="ltr" class="en dir-ltr  no-js " >

    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/7a7cf823/css/font-awesome.min.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/36b9ec52/bootstrap.min.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/36b9ec52/yiistrap.min.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/7bfdc2b4/css/bootstrap-switch.min.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/94780d41/css/select2.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/94780d41/css/select2-bootstrap.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/2bbe20b9/css/bootstrap-datetimepicker.min.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/a87f28ea/roboto.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/a87f28ea/icomoon.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/318dcac1/build/lstutorial.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/6b8bb659/build/adminbasics.min.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/13c07602/build.min/css/adminsidepanel.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/f05e9790/css/lime-admin-colors.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/f05e9790/css/statistics.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/a87f28ea/noto.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/f6f25e87/survey.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/c7489a8/build/embeddables.min.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/a29e9a7f/spectrum.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/a29e9a7f/template-core.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/a29e9a7f/awesome-bootstrap-checkbox/awesome-bootstrap-checkbox.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/176a79b2/css/ajaxify.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/176a79b2/css/theme.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/176a79b2/css/custom.css" />
<link rel="stylesheet" type="text/css" href="/limesurvey/tmp/assets/176a79b2/css/errors.css" />
<script type='text/javascript'>window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="/limesurvey/tmp/assets/db8d3406/jquery-3.4.1.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/db8d3406/jquery-migrate-3.1.0.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/13c07602/build.min/js/adminsidepanel.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/22659cd8/js.cookie.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/36b9ec52/bootstrap.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/36b9ec52/plugins/bootstrapconfirm/bootstrapconfirm.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/12aaae55/moment-with-locales.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/94780d41/js/select2.full.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/9dff4897/build/lslog.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/30d04a39/min/pjax.combined.min.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/9b7dd366/em_javascript.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/30d04a39/pjax.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/f6f25e87/survey.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/a29e9a7f/spectrum.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/a29e9a7f/template-core.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/176a79b2/scripts/theme.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/176a79b2/scripts/ajaxify.js" class="headScriptTag"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/176a79b2/scripts/custom.js" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/

           window.LS = window.LS || {}; window.LS.globalUserId = "1";
/*]]>*/
</script>
<title>
                            500: Internal Server Error
                    </title>

                <meta name="generator" content="LimeSurvey http://www.limesurvey.org" />
        <link rel="shortcut icon" href="favicon.ico" />
    </head>

    <body  class="vanilla lang-en " marginwidth="0" marginheight="0" ><script type="text/javascript" src="/limesurvey/tmp/assets/7bfdc2b4/js/bootstrap-switch.min.js"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/2bbe20b9/js/bootstrap-datetimepicker.min.js"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/6b8bb659/build/adminbasics.min.js"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/5f49e60f/decimal.js"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/1550d857/decimalcustom.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
var LEMmode='group';
var LEMgseq='';
ExprMgr_process_relevance_and_tailoring = function(evt_type,sgqa,type){
if (typeof LEM_initialized == 'undefined') {
LEM_initialized=true;
LEMsetTabIndexes();
}
if (evt_type == 'onchange' && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa) && (typeof last_evt_type !== 'undefined' && last_evt_type == 'TAB' && type != 'checkbox')) {
  last_evt_type='onchange';
  last_sgqa=sgqa;
  return;
}
if (evt_type == 'updated'  && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa)) {
  last_evt_type='updated';
  last_sgqa=sgqa;
  return;
}
last_evt_type = evt_type;
last_sgqa=sgqa;

}

/*]]>*/
</script>

        <article id="block_error">
            <div>
                                    <h1>500: Internal Server Error</h1>
                                <h2>Call to undefined function debugbreak()</h2>
                <p>
                    An internal error occurred while the Web server was processing your request.
                </p>
                <p>
                                            Please contact Petru Danila to report this problem.
                                    </p>
            </div>
                        <div>
            </div>
        </article>
                    
            <script type="text/javascript" src="/limesurvey/tmp/assets/318dcac1/build/lstutorial.min.js"></script>
<script type="text/javascript" src="/limesurvey/tmp/assets/c7489a8/build/embeddables.min.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
jQuery('body').popover({'selector':'a\x5Brel\x3Dpopover\x5D'});
jQuery('body').tooltip({'selector':'a\x5Brel\x3Dtooltip\x5D'});

            try{ 
                triggerEmClassChange(); 
            } catch(e) {
                console.ls.warn('triggerEmClassChange could not be run. Is survey.js correctly loaded?');
            }

triggerEmRelevance();
jQuery(document).off('pjax:scriptcomplete.mainBottom').on('ready pjax:scriptcomplete.mainBottom', function() {
updateMandatoryErrorClass();
});
/*]]>*/
</script>
</body>
</html>
tabseperated.txt (24,945 bytes)   
surveystructure.lss (489,563 bytes)
ollehar

ollehar

2020-05-05 18:03

administrator   ~57554

Please update to the latest version and try again. Thank you.

cdorin

cdorin

2020-06-18 19:29

manager   ~58344

Fixed in 4.2.2

Issue History

Date Modified Username Field Change
2020-05-03 13:12 piodanila New Issue
2020-05-03 13:12 piodanila File Added: tabseperated.txt
2020-05-03 13:12 piodanila File Added: surveystructure.lss
2020-05-05 18:03 ollehar Note Added: 57554
2020-05-05 18:03 ollehar Status new => feedback
2020-06-18 19:29 cdorin Assigned To => cdorin
2020-06-18 19:29 cdorin Status feedback => closed
2020-06-18 19:29 cdorin Resolution open => fixed
2020-06-18 19:29 cdorin Fixed in Version => 4.2.2
2020-06-18 19:29 cdorin Note Added: 58344